### Function

# Qmi DeviceCommandAbortableParseResponseFn

since: 1.24

#### Declaration

    gboolean
    (* QmiDeviceCommandAbortableParseResponseFn) (
      QmiDevice* self,
      QmiMessage* abort_response,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Callback to run when processing the command abortion. This callback should parse the abort response provided by the device, and build an appropriate output.

Available since: 1.24

#### Parameters

`self`

  Type: `QmiDevice`

  A `QmiDevice`.

  The data is owned by the caller of the function.

`abort_response`

  Type: `QmiMessage`

  The abort response `QmiMessage`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The data provided when calling qmi_device_command_abortable().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the abort succeeded, `FALSE` if error is set.